#!/bin/bash

kubectl get deploy -A -l app.kubernetes.io/name=nextcloud --no-headers -o custom-columns=NAMESPACE:metadata.namespace,NAME:metadata.name | while read line; do
  ns=$(echo $line | cut -f 1 -d ' ')
  name=$(echo $line | cut -f 2 -d ' ')
  if kubectl -n $ns exec deploy/$name -c app -- sh -c '/usr/local/bin/php occ config:app:get onlyoffice settings_error --default-value=nosettingserror 2>/dev/null' | grep SSL; then
    echo fixing $ns
    kubectl -n $ns exec deploy/$name -c app -- sh -c '/usr/local/bin/php occ config:app:set onlyoffice settings_error --value ""'
  fi
done
